<?php

/**
 * If you haven't edited php.ini to add the Zend Framework and the
 * Zend Framework Incubator to the PHP include_path, then do so here.
 * Don't use mine!
 */
set_include_path(
    'lib'
    . PATH_SEPARATOR . get_include_path()
);


include_once dirname(__FILE__).'/traduction.php';


/**
 * Make sure Zend_Oauth's Consumer is loaded
 */
require_once dirname(__FILE__).'/lib/Zend/Oauth/Consumer.php';

/** Zend_Locale */
require_once dirname(__FILE__).'/lib/Zend/Locale.php';
 
/** Zend_Translate_Adapter */
require_once dirname(__FILE__).'/lib/Zend/Translate/Adapter.php';

/**
 * Start up the ol' session engine
 */
session_start();

/**
 * Include the configuration data for our OAuth Client (array $configuration)
 */
include_once dirname(__FILE__).'/config.php';

/**
 * Setup an instance of the Consumer for use
 */
$consumer = new Zend_Oauth_Consumer($configuration);

/**
 * TRADUCTION
**/


Zend_Loader::loadClass('Zend_Translate'); 
Zend_Loader::loadClass('Zend_Http_Cookie'); 


$client = new Zend_Http_Client();
$translate = new Zend_Translate('array', $init, 'fr');

$translate->addTranslation($english, 'en');
$translate->addTranslation($japan, 'ja_JP');
$translate->addTranslation($french, 'fr');

$actual = $translate->getLocale();

//$translate->setLocale("en");
// $acceptCookie = $this->_request->getCookie('acceptCookie',0);

if(isset($_GET['lang'])==false and isset($_SESSION['lang'])==false){
	
	if($actual!='fr' and $actual!='en' and $actual!='ja_JP'){
		$translate->setLocale("fr");
		 $_SESSION['lang']="fr";
	}
	
} else if (isset($_GET['lang'])==true){
	$translate->setLocale($_GET['lang']);
    $_SESSION['lang'] = $_GET['lang'];
    $actual = $_SESSION['lang'];

} else if (isset($_SESSION['lang'])==true){
	$translate->setLocale( $_SESSION['lang']);
    $actual = $_SESSION['lang'];
	
}

/* NEXT CONFERENCE AND CLIENT PAGE INFORMATION
*/
/* CLIENT VAR LIVE */

$C_hashtag	= "#mashup";
$C_link 	= "http://www.forumdesimages.fr/fdi/Festivals-et-evenements/mashup-Film-Festival/Mashup-remix-detournements-nouveaux-usages-des-images-sur-les-reseaux-sociaux";
$C_title 	= "Mashup, remix, détournements : nouveaux usages des images sur les réseaux sociaux";
$C_abstract = "Mashup, remix, détournements Conférence Laurence Allard
25  Juin à 15h Salle Piazza 
au Forum des Images";
$C_REP   = "mashup/";
$C_description  = "
	Par le biais d'internet, les individus expriment,
	 à leurs proches ou à des publics lointains,
	 leurs opinions ou leurs goûts en faisant leurs  des contenus qu'ils apprécient ou qui les révoltent.
	 Quelques uns vont  s'exprimer en partageant ou commentant ces contenus tandis que d'autres
	 iront plus loin dans l'appropriation en transformant à des degrés divers
	 des images sons ou textes à travers lesquels ils vont dire quelque chose
	 d'eux-mêmes et de leurs relations au monde. Ce sont de telles pratiques  de remixes 
	qui seront présentées pour comprendre ce qui se dit ainsi sur Internet.
	 Détourner pour protester ou au contraire exprimer une passion  ;
	 re-créer pour raconter autrement des événements ou les mashuper pour en montrer le non sens...
	 Différents procédés et différents discours que cette conférence nourrie de nombreux exemples historiques et contemporains,
	 issus d'artistes ou d'internautes ordinaires, se proposent de mettre en lumière. 
<br/><br/>
	Laurence Allard, sociologue et sémiologue est maître de conférences à  l'université de Lille III, UFR Arts et Culture.
	 Elle s'intéresse particulièrement aux relations entre culture, politique et technique  (p2p, blogs, creative commons, artivisme...) en mobilisant les apports  des gender, cultural et post colonial studies.";

$C_partenaires  = 	"<a href='http://www.iri.centrepompidou.fr/' class='footerLink' target='_blank'> IRI </a>
		 |  <a href='http://www.forumdesimages.fr/' class='footerLink' target='_blank' > Forum des images  </a>
		 |  <a href='http://www.inflammableproductions.com/' class='footerLink' target='_blank'> Inflammable  </a>";
$C_islive = false;


